Subject: bug#66041: 30.0.50; Should 'flymake-note-echo' inherit from 'compilation-info'?

From: João Távora <[email-masked]>
Date: Sun, 17 Sep 2023 23:15:31 +0100

On Sun, Sep 17, 2023 at 10:54 PM Jim Porter <[email-masked]> wrote:
>
> On 9/17/2023 2:22 PM, João Távora wrote:
> > On Sun, Sep 17, 2023 at 5:42 AM Jim Porter <[email-masked]> wrote:
> >
> >> Personally, I think it'd be better for the "echo" faces for Flymake
> >> notes to just inherit from 'compilation-info'. They have almost
> >> identical uses as far as I can tell, and then things would look more
> >
> > To better understand what you mean, can you post two screenshots -- with
> > and without your proposed change -- of what the default theme would look
> > like in a simple file with some Flymake overlays?
>
> Sure, here are screenshots of Flymake under 29, 30, and 30 plus my
> patch. In particular, pay close attention to the mode-line colors. It
> took me a few seconds of close inspection to see the green underline for
> the note counter in the mode-line.

OK thanks for showing this.  I'll think about this better tomorrow.

In the meantime, I found two other bugs trying this recipe.  First
let's write down the recipe:

emacs -Q
M-x flymake-mode RET
M-: (setq flymake-show-diagnostics-at-end-of-line t) RET
M-x erase-buffer RET
h e l l o

The first bug I find is that the exclamation mark on the fringe is
green, but it should be yellow, since, presumably a warning is
more important than a note.

The second bug has to do with the placement of the cursor when
two "eol overlays" are present.  The cursor shouldn't be placed
in the middle of them, since they represent unreachable areas of
the buffer.

These two bugs are IMO a bit more serious, but I also see your
point about the faces.

João